-- Fichier texte encod en UTF8 with BOM
-- Les mots-cls du SQL sont mis en majuscule

-- ----------------------------------------------------------------
-- Cration de la BD  : 

-- Supprimer la base de donnes si elle existe
DROP DATABASE IF EXISTS employesTP01;

-- Crer une nouvelle base de donnes
CREATE DATABASE employesTP01;

-- Utiliser la base de donnes cre
USE employesTP01;

-- ----------------------------------------------------------------
-- Cration des tables : on n'a pas besoin de droper les tables puisqu'on a commenc par drop la BD

CREATE TABLE employes (
    id              INT AUTO_INCREMENT,
    nom             VARCHAR(50) NOT NULL,
    fonction        VARCHAR(50) NOT NULL,
    date_embauche   DATE NOT NULL,
    salaire         DECIMAL(10, 2) NOT NULL,  -- DECIMAL plutt que FLOAT pour une prcision montaire
    commission      DECIMAL(10, 2),
    id_departement  INT NOT NULL,
    id_employe_chef INT, 
    PRIMARY KEY(id) # bon usage : la primary key  la fin
);

-- ----------------------------------------------------------------
-- cration des tuples

INSERT INTO employes VALUES (7839, 'KING', 'PRESIDENT', '1981-11-17', 5000, NULL, 10, NULL);
INSERT INTO employes VALUES (7698, 'BLAKE', 'MANAGER', '1981-05-01', 2850, NULL, 30, 7839);
INSERT INTO employes VALUES (7782, 'CLARK', 'MANAGER', '1981-06-09', 2450, NULL, 10, 7839);
INSERT INTO employes VALUES (7566, 'JONES', 'MANAGER', '1981-04-02', 2975, NULL, 20, 7839);
INSERT INTO employes VALUES (7654, 'MARTIN', 'SALESMAN', '1981-09-28', 1250, 1400, 30, 7698);
INSERT INTO employes VALUES (7499, 'ALLEN', 'SALESMAN', '1981-02-20', 1600, 300, 30, 7698);
INSERT INTO employes VALUES (7844, 'TURNER', 'SALESMAN', '1981-09-08', 1500, 0, 30, 7698);
INSERT INTO employes VALUES (7900, 'JAMES', 'CLERK', '1981-12-03', 950, NULL, 30, 7698);
INSERT INTO employes VALUES (7521, 'WARD', 'SALESMAN', '1981-02-22', 1250, 500, 30, 7698);
INSERT INTO employes VALUES (7902, 'FORD', 'ANALYST', '1981-12-03', 3000, NULL, 20, 7566);
INSERT INTO employes VALUES (7369, 'SMITH', 'CLERK', '1980-12-17', 800, NULL, 20, 7902);
INSERT INTO employes VALUES (7788, 'SCOTT', 'ANALYST', '1982-12-09', 3000, NULL, 20, 7566);
INSERT INTO employes VALUES (NULL, 'ADAMS', 'CLERK', '1983-01-12', 1100, NULL, 20, 7788);
INSERT INTO employes VALUES (NULL, 'MILLER', 'CLERK', '1982-01-23', 1300, NULL, 10, 7782);
